<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.35.900100
Name: OpvragenLabuitslagMedicatiebewaking (payload)
Description: Template: Opvragen Labuitslag Medicatiebewaking (payload)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000">
   <title>OpvragenLabuitslagMedicatiebewaking (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess"
         id="tmp-r-44eb8c7f-6d4c-4492-8339-e6a532b53f07">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:queryByParameter)&gt;=1 and not(hl7:queryByParameter/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryByParameter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:queryByParameter)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryByParameter komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-r-994c9fa6-58ef-4e81-8190-296b1dbf58d4">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:queryId)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:responseModalityCode[@code='B'])&gt;=1 and not(hl7:responseModalityCode[@code='B']/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseModalityCode[@code='B'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:responseModalityCode[@code='B'])&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseModalityCode[@code='B'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:actMoodCode)&gt;=1 and not(hl7:actMoodCode/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:actMoodCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:actMoodCode)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:actMoodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:observationEffectiveTime)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:observationEffectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:patientId)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:responseTemplateId)&gt;=1 and not(hl7:responseTemplateId/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseTemplateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:responseTemplateId)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseTemplateId komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId"
         id="tmp-r-491d699f-e58e-4ddc-a7e0-ad5ee9d37702">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode[@code='executing']
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode[@code='executing']"
         id="tmp-r-923910fe-2956-49b7-a241-3a23114b07ff">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="@nullFlavor or (@code='executing')">(OpvragenLabuitslagMedicatiebewaking-payload): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode[@code='B']
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode[@code='B']"
         id="tmp-r-ceebd2be-a993-482b-be31-8bfab3fb6c7f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="@nullFlavor or (@code='B')">(OpvragenLabuitslagMedicatiebewaking-payload): de elementwaarde MOET een zijn van 'code 'B''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode[@code='I']
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-bbb73825-7f9a-4d54-bd63-c8e04e763129">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="@nullFlavor or (@code='I')">(OpvragenLabuitslagMedicatiebewaking-payload): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime"
         id="tmp-r-477417db-2c01-4cc2-8878-e56cb21d3045">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode"
         id="tmp-r-be789521-2a2e-4223-b502-b662d090c89c">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor])&gt;=1 ">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor])&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor]
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value[(@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001') or @nullFlavor]"
         id="tmp-r-8226e7eb-27de-464f-9044-c2afd9c3d6f7">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="@nullFlavor or (@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001')">(OpvragenLabuitslagMedicatiebewaking-payload): de elementwaarde MOET een zijn van 'code 'EVN' codeSystem '2.16.840.1.113883.5.1001''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime"
         id="tmp-r-b48ad066-5b6c-4bb4-b9a6-dc783b24fac7">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:value)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value"
         id="tmp-r-7860fdfb-a3c0-4d04-bdc8-7a331f8cf00f">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId"
         id="tmp-r-4125801e-e9b8-44ac-af16-f9af20805d16">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-f66bb22f-d93a-4e0d-98cd-e0c0c656e138">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(OpvragenLabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="@extension">(OpvragenLabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId"
         id="tmp-r-d411b71e-2dd2-49e3-9e92-f4d6f1dc6758">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

   <rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']"
         id="tmp-r-39de7cf6-cbd1-452c-bc64-21bc65606fd2">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-20141211T155125/tmp-2.16.840.1.113883.2.4.6.10.35.900100-2012-05-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.35.5'">(OpvragenLabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.35.5' hebben.</assert>
   </rule>
</pattern>
